summaryrefslogtreecommitdiffstats
path: root/.local/bin
diff options
context:
space:
mode:
authorLuke Smith <luke@lukesmith.xyz>2022-09-27 21:32:54 -0400
committerLuke Smith <luke@lukesmith.xyz>2022-09-27 21:32:54 -0400
commit2a57d5a07b35c085724d42417ccc0c8c6bf01a6a (patch)
tree68b8edec5750f6ba0941c2aece20131694e3d0f9 /.local/bin
parent3901bc0f1b780e3bbb8cd8d66d2e19c62c01ce4d (diff)
parent21e08299b1709c6051a42560ca89967894d5c962 (diff)
downloadeibhear-2a57d5a07b35c085724d42417ccc0c8c6bf01a6a.tar.gz
eibhear-2a57d5a07b35c085724d42417ccc0c8c6bf01a6a.tar.zst
eibhear-2a57d5a07b35c085724d42417ccc0c8c6bf01a6a.zip
Merge branch 'master' of github.com:LukeSmithxyz/voidrice
Diffstat (limited to '.local/bin')
-rwxr-xr-x.local/bin/dmenuhandler3
-rwxr-xr-x.local/bin/opout2
-rwxr-xr-x.local/bin/otp15
-rwxr-xr-x.local/bin/tag52
4 files changed, 26 insertions, 46 deletions
diff --git a/.local/bin/dmenuhandler b/.local/bin/dmenuhandler
index 1c48f3a..1cd1b29 100755
--- a/.local/bin/dmenuhandler
+++ b/.local/bin/dmenuhandler
@@ -10,7 +10,8 @@ case "$(printf "Copy URL\\nsxiv\\nsetbg\\nPDF\\nbrowser\\nlynx\\nvim\\nmpv\\nmpv
"mpv loop") setsid -f mpv -quiet --loop "$feed" >/dev/null 2>&1 ;;
"mpv float") setsid -f "$TERMINAL" -e mpv --geometry=+0-0 --autofit=30% --title="mpvfloat" "$feed" >/dev/null 2>&1 ;;
"queue yt-dlp") qndl "$feed" >/dev/null 2>&1 ;;
- "queue yt-dlp audio") qndl "$feed" 'yt-dlp --embed-metadata -icx -f bestaudio/best' >/dev/null 2>&1 ;;
+ "queue yt-dlp audio") qndl "$feed" 'yt-dlp -o '%(title)s.%(ext)s' -f bestaudio --embed-metadata --restrict-filenames'
+' >/dev/null 2>&1 ;;
"queue download") qndl "$feed" 'curl -LO' >/dev/null 2>&1 ;;
PDF) curl -sL "$feed" > "/tmp/$(echo "$feed" | sed "s|.*/||;s/%20/ /g")" && zathura "/tmp/$(echo "$feed" | sed "s|.*/||;s/%20/ /g")" >/dev/null 2>&1 ;;
sxiv) curl -sL "$feed" > "/tmp/$(echo "$feed" | sed "s|.*/||;s/%20/ /g")" && sxiv -a "/tmp/$(echo "$feed" | sed "s|.*/||;s/%20/ /g")" >/dev/null 2>&1 ;;
diff --git a/.local/bin/opout b/.local/bin/opout
index 8890861..d2b447a 100755
--- a/.local/bin/opout
+++ b/.local/bin/opout
@@ -7,7 +7,7 @@
basename="${1%.*}"
case "${*}" in
- *.tex|*.m[dse]|*.[rR]md|*.mom|*.[0-9]) target="$(getcomproot "$1" || echo "$1")" ; setsid -f xdg-open "${target%.*}".pdf >/dev/null 2>&1 ;;
+ *.tex|*.sil|*.m[dse]|*.[rR]md|*.mom|*.[0-9]) target="$(getcomproot "$1" || echo "$1")" ; setsid -f xdg-open "${target%.*}".pdf >/dev/null 2>&1 ;;
*.html) setsid -f "$BROWSER" "$basename".html >/dev/null 2>&1 ;;
*.sent) setsid -f sent "$1" >/dev/null 2>&1 ;;
esac
diff --git a/.local/bin/otp b/.local/bin/otp
index 1726b1a..7e471db 100755
--- a/.local/bin/otp
+++ b/.local/bin/otp
@@ -9,31 +9,29 @@
# computer to have its time properly synced. This can be done with the command
# below which requires the package `ntp`.
-ifinstalled pass pass-otp
+ifinstalled pass pass-otp || exit 1
dir="${PASSWORD_STORE_DIR}"
-choice="$({ echo "🆕add" ; echo "🕙sync-time" ; ls ${dir}/*-otp.gpg ;} | sed "s/.*\///;s/-otp.gpg//" | dmenu -p "Pick a 2FA:")"
+choice="$({ echo "🆕add" ; echo "🕙sync-time" ; ls "$dir"/*-otp.gpg ;} | sed "s/.*\///;s/-otp.gpg//" | dmenu -p "Pick a 2FA:")"
case $choice in
🆕add )
- ifinstalled maim zbar xclip || exit 1
+ ifinstalled maim zbar || exit 1
- temp="$dir/temp.png"
+ temp=$(mktemp -p "$XDG_RUNTIME_DIR" --suffix=.png)
otp="otp-test-script"
- trap 'shred -fu $temp; pass rm $otp' HUP INT QUIT TERM PWR EXIT
+ trap 'rm -f $temp; pass rm -f $otp' HUP INT QUIT TERM PWR EXIT
notify-send "Scan the image." "Scan the OTP QR code."
maim -s "$temp" || exit 1
info="$(zbarimg -q "$temp")"
info="${info#QR-Code:}"
- issuer="$(echo "$info" | grep -o "issuer=[A-z0-9]\+")"
- name="${issuer#issuer=}"
if echo "$info" | pass otp insert "$otp"; then
while true ; do
- export name="$(dmenu -p "Give this One Time Password a one-word name:")"
+ export name="$(echo | dmenu -p "Give this One Time Password a one-word name:")"
echo "$name" | grep -q -- "^[A-z0-9-]\+$" && break
done
pass mv "$otp" "$name-otp"
@@ -41,7 +39,6 @@ case $choice in
else
notify-send "No OTP data found." "Try to scan the image again more precisely."
fi
-
;;
🕙sync-time )
ifinstalled ntp || exit 1
diff --git a/.local/bin/tag b/.local/bin/tag
index 8462b99..92d6323 100755
--- a/.local/bin/tag
+++ b/.local/bin/tag
@@ -13,7 +13,7 @@ Options:
-c: comment
You will be prompted for title, artist, album and track if not given." && exit 1 ;}
-while getopts "a:t:A:n:N:d:g:c:f:" o; do case "${o}" in
+while getopts "a:t:A:n:N:d:g:c:" o; do case "${o}" in
a) artist="${OPTARG}" ;;
t) title="${OPTARG}" ;;
A) album="${OPTARG}" ;;
@@ -22,7 +22,6 @@ while getopts "a:t:A:n:N:d:g:c:f:" o; do case "${o}" in
d) date="${OPTARG}" ;;
g) genre="${OPTARG}" ;;
c) comment="${OPTARG}" ;;
- f) file="${OPTARG}" ;;
*) printf "Invalid option: -%s\\n" "$OPTARG" && err ;;
esac done
@@ -30,38 +29,21 @@ shift $((OPTIND - 1))
file="$1"
-[ ! -f "$file" ] && echo "Provide file to tag." && err
+temp="$(mktemp -p "$(dirname "$file")")"
+trap 'rm -f $temp' HUP INT QUIT TERM PWR EXIT
-[ -z "$title" ] && echo "Enter a title." && read -r title
-[ -z "$artist" ] && echo "Enter an artist." && read -r artist
-[ -z "$album" ] && echo "Enter an album." && read -r album
-[ -z "$track" ] && echo "Enter a track number." && read -r track
+[ ! -f "$file" ] && echo 'Provide file to tag.' && err
-case "$file" in
- *.ogg) echo "Title=$title
-Artist=$artist
-Album=$album
-Track=$track
-Total=$total
-Date=$date
-Genre=$genre
-Comment=$comment" | vorbiscomment -w "$file" ;;
- *.opus) echo "Title=$title
-Artist=$artist
-Album=$album
-Track=$track
-Total=$total
-Date=$date
-Genre=$genre
-Comment=$comment" | opustags -i -S "$file" ;;
- *.mp3) eyeD3 -Q --remove-all -a "$artist" -A "$album" -t "$title" -n "$track" -N "$total" -Y "$date" "$file" ;;
- *.flac) echo "TITLE=$title
-ARTIST=$artist
-ALBUM=$album
-TRACKNUMBER=$track
-TOTALTRACKS=$total
-DATE=$date
-GENRE=$genre
-DESCRIPTION=$comment" | metaflac --remove-all-tags --import-tags-from=- "$file" ;;
- *) echo "File type not implemented yet." ;;
-esac
+[ -z "$title" ] && echo 'Enter a title.' && read -r title
+[ -z "$artist" ] && echo 'Enter an artist.' && read -r artist
+[ -z "$album" ] && echo 'Enter an album.' && read -r album
+[ -z "$track" ] && echo 'Enter a track number.' && read -r track
+
+cp -f "$file" "$temp" && ffmpeg -i "$temp" -map 0 -y -codec copy \
+ -metadata title="$title" \
+ -metadata album="$album" \
+ -metadata artist="$artist" \
+ -metadata track="${track}${total:+/"$total"}" \
+ ${date:+-metadata date="$date"} \
+ ${genre:+-metadata genre="$genre"} \
+ ${comment:+-metadata comment="$comment"} "$file"